|

Sync transactions for a bank link

get/bank_links/{link_id}/transactions/sync
Preview
Locked
Get synchronized updates for added, removed, and updated transactions.

Request

Path parameters

link_id·

string

Query parameters

cursor·

optional string

A cursor value representing the last update requested. If included, the response will only return changes after this update. If omitted, a complete history of updates will be returned. This value must be stored by you.

size·

optional integer

The number of results to return

Response

cursor·

object

The cursor value to use in the next request
next·

optional string

The cursor value to use in the next request
has_more·

boolean

The number of results per page
transactions·

object

The list of transactions tagged with created, updated, and removed
created·

array of objects

transactions added to the link
removed·

array of strings

transaction removed from the link by the transaction id
updated·

array of objects

transactions updated on the link
GET /bank_links/{link_id}/transactions/sync
1curl https://api.onefootprint.com/bank_links/{link_id}/transactions/sync \
2  -u sk_test_xxxxx:
Response example
{
  "cursor": {
    "next": "abcdefgh1234"
  },
  "has_more": true,
  "transactions": {
    "created": [
      {
        "account_id": "acc_12345678",
        "amount": "42.99",
        "category": "food_and_drink",
        "currency": "USD",
        "date": "2023-02-16",
        "datetime": "2023-05-15T14:30:00Z",
        "description": "Starbucks Coffee",
        "enrichment": {
          "category": {
            "confidence": "95",
            "value": "banking"
          },
          "merchant": {
            "confidence": 95,
            "id": "starbucks",
            "logo": "https://example.com/starbucks.png",
            "name": "Starbucks"
          },
          "processor": {
            "confidence": 95,
            "id": "starbucks",
            "logo": "https://example.com/starbucks.png",
            "name": "Starbucks"
          },
          "subcategory": {
            "confidence": "95",
            "value": "account_fees_and_other_bank_charges"
          }
        },
        "pending": false,
        "raw_description": "POS PURCHASE STARBUCKS STORE",
        "transaction_id": "txn_abcdefgh1234",
        "type": "debit"
      },
      {
        "account_id": "acc_12345678",
        "amount": "42.99",
        "category": "food_and_drink",
        "currency": "USD",
        "date": "2023-02-16",
        "datetime": "2023-05-15T14:30:00Z",
        "description": "Starbucks Coffee",
        "enrichment": {
          "category": {
            "confidence": "95",
            "value": "banking"
          },
          "merchant": {
            "confidence": 95,
            "id": "starbucks",
            "logo": "https://example.com/starbucks.png",
            "name": "Starbucks"
          },
          "processor": {
            "confidence": 95,
            "id": "starbucks",
            "logo": "https://example.com/starbucks.png",
            "name": "Starbucks"
          },
          "subcategory": {
            "confidence": "95",
            "value": "account_fees_and_other_bank_charges"
          }
        },
        "pending": false,
        "raw_description": "POS PURCHASE STARBUCKS STORE",
        "transaction_id": "txn_abcdefgh1234",
        "type": "debit"
      }
    ],
    "removed": [
      "Lorem ipsum dolor",
      "Lorem ipsum dolor"
    ],
    "updated": [
      {
        "account_id": "acc_12345678",
        "amount": "42.99",
        "category": "food_and_drink",
        "currency": "USD",
        "date": "2023-02-16",
        "datetime": "2023-05-15T14:30:00Z",
        "description": "Starbucks Coffee",
        "enrichment": {
          "category": {
            "confidence": "95",
            "value": "banking"
          },
          "merchant": {
            "confidence": 95,
            "id": "starbucks",
            "logo": "https://example.com/starbucks.png",
            "name": "Starbucks"
          },
          "processor": {
            "confidence": 95,
            "id": "starbucks",
            "logo": "https://example.com/starbucks.png",
            "name": "Starbucks"
          },
          "subcategory": {
            "confidence": "95",
            "value": "account_fees_and_other_bank_charges"
          }
        },
        "pending": false,
        "raw_description": "POS PURCHASE STARBUCKS STORE",
        "transaction_id": "txn_abcdefgh1234",
        "type": "debit"
      },
      {
        "account_id": "acc_12345678",
        "amount": "42.99",
        "category": "food_and_drink",
        "currency": "USD",
        "date": "2023-02-16",
        "datetime": "2023-05-15T14:30:00Z",
        "description": "Starbucks Coffee",
        "enrichment": {
          "category": {
            "confidence": "95",
            "value": "banking"
          },
          "merchant": {
            "confidence": 95,
            "id": "starbucks",
            "logo": "https://example.com/starbucks.png",
            "name": "Starbucks"
          },
          "processor": {
            "confidence": 95,
            "id": "starbucks",
            "logo": "https://example.com/starbucks.png",
            "name": "Starbucks"
          },
          "subcategory": {
            "confidence": "95",
            "value": "account_fees_and_other_bank_charges"
          }
        },
        "pending": false,
        "raw_description": "POS PURCHASE STARBUCKS STORE",
        "transaction_id": "txn_abcdefgh1234",
        "type": "debit"
      }
    ]
  }
}